///////////////////////////////////////////////////////////////////////////////////
//No part of this file can be copied or released without the consent of 
//Avalanche Technology
//										
///////////////////////////////////////////////////////////////////////////////////
///////////////////////////////////////////////////////////////////////////////////
//										
//	Avalanche Technology Inc., Proprietary and Confidential	   *
//										
// 	Release:  2.1    Date 7/21/2021  	
//										
////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////
//  PART DESCRIPTION:
//
//  Technology: 40nm pMTJ STT-MRAM
//  Part:       AS3016204
//
//  Description: 16 Megabit HIGH PERFORMANCE SERIAL PERSISTANT SRAM MEMORY
//
////////////////////////////////////////////////////////////////////////////////////
//  FILE CONTENTS : TEST MODULE
//
////////////////////////////////////////////////////////////////////////////////////


////////////////////////////////////////////////////////////////////////////////////
// MODULE DECLARATION                                                             //
////////////////////////////////////////////////////////////////////////////////////

`timescale 100ps / 10ps

`include "./stimulus.v"
`include "../model/spsram_as3016204.v"

module test;

	

	wire CSn ;
	wire IO3, SI_IO0;
	wire SO_IO1, WPn_IO2;
	wire CLK;
        
        reg [7:0] mode; 
        reg [2:0] Mode; 

	spsram_as3016204 M0
		(
			.IO3(IO3),
			.WPn_IO2(WPn_IO2),
			.SO_IO1(SO_IO1),
			.SI_IO0(SI_IO0),
			.CSn(CSn),
			.CLK(CLK)
		);

	stimulus inst_stimulus
		(
			.IO3(IO3),
			.WPn_IO2(WPn_IO2),
			.SO_IO1(SO_IO1),
			.SI_IO0(SI_IO0),
			.CSn(CSn), 
			.CLK(CLK) 
               );
	initial begin
		$shm_open("test.shm");
		$shm_probe(test,"ACM");
	end

endmodule
